Get fx cross
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"descriptors": [
{
"value": {
"fixing_end_date": "2000-01-23T04:56:07.000+00:00",
"fixing_start_date": "2000-01-23T04:56:07.000+00:00",
"high_low_fixing_start_date": "2000-01-23T04:56:07.000+00:00",
"high_low_fixing_end_date": "2000-01-23T04:56:07.000+00:00"
},
"key": "key"
},
{
"value": {
"fixing_end_date": "2000-01-23T04:56:07.000+00:00",
"fixing_start_date": "2000-01-23T04:56:07.000+00:00",
"high_low_fixing_start_date": "2000-01-23T04:56:07.000+00:00",
"high_low_fixing_end_date": "2000-01-23T04:56:07.000+00:00"
},
"key": "key"
}
],
"fx_pairs": [
"fx_pairs",
"fx_pairs"
],
"market_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses"
payload = {
"descriptors": [
{
"value": {
"fixing_end_date": "2000-01-23T04:56:07.000+00:00",
"fixing_start_date": "2000-01-23T04:56:07.000+00:00",
"high_low_fixing_start_date": "2000-01-23T04:56:07.000+00:00",
"high_low_fixing_end_date": "2000-01-23T04:56:07.000+00:00"
},
"key": "key"
},
{
"value": {
"fixing_end_date": "2000-01-23T04:56:07.000+00:00",
"fixing_start_date": "2000-01-23T04:56:07.000+00:00",
"high_low_fixing_start_date": "2000-01-23T04:56:07.000+00:00",
"high_low_fixing_end_date": "2000-01-23T04:56:07.000+00:00"
},
"key": "key"
}
],
"fx_pairs": ["fx_pairs", "fx_pairs"],
"market_dates": ["2000-01-23T04:56:07.000+00:00", "2000-01-23T04:56:07.000+00:00"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
descriptors: [
{
value: {
fixing_end_date: '2000-01-23T04:56:07.000+00:00',
fixing_start_date: '2000-01-23T04:56:07.000+00:00',
high_low_fixing_start_date: '2000-01-23T04:56:07.000+00:00',
high_low_fixing_end_date: '2000-01-23T04:56:07.000+00:00'
},
key: 'key'
},
{
value: {
fixing_end_date: '2000-01-23T04:56:07.000+00:00',
fixing_start_date: '2000-01-23T04:56:07.000+00:00',
high_low_fixing_start_date: '2000-01-23T04:56:07.000+00:00',
high_low_fixing_end_date: '2000-01-23T04:56:07.000+00:00'
},
key: 'key'
}
],
fx_pairs: ['fx_pairs', 'fx_pairs'],
market_dates: ['2000-01-23T04:56:07.000+00:00', '2000-01-23T04:56:07.000+00:00']
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'descriptors' => [
[
'value' => [
'fixing_end_date' => '2000-01-23T04:56:07.000+00:00',
'fixing_start_date' => '2000-01-23T04:56:07.000+00:00',
'high_low_fixing_start_date' => '2000-01-23T04:56:07.000+00:00',
'high_low_fixing_end_date' => '2000-01-23T04:56:07.000+00:00'
],
'key' => 'key'
],
[
'value' => [
'fixing_end_date' => '2000-01-23T04:56:07.000+00:00',
'fixing_start_date' => '2000-01-23T04:56:07.000+00:00',
'high_low_fixing_start_date' => '2000-01-23T04:56:07.000+00:00',
'high_low_fixing_end_date' => '2000-01-23T04:56:07.000+00:00'
],
'key' => 'key'
]
],
'fx_pairs' => [
'fx_pairs',
'fx_pairs'
],
'market_dates' => [
'2000-01-23T04:56:07.000+00:00',
'2000-01-23T04:56:07.000+00:00'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses"
payload := strings.NewReader("{\n \"descriptors\": [\n {\n \"value\": {\n \"fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": \"key\"\n },\n {\n \"value\": {\n \"fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": \"key\"\n }\n ],\n \"fx_pairs\": [\n \"fx_pairs\",\n \"fx_pairs\"\n ],\n \"market_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"descriptors\": [\n {\n \"value\": {\n \"fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": \"key\"\n },\n {\n \"value\": {\n \"fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": \"key\"\n }\n ],\n \"fx_pairs\": [\n \"fx_pairs\",\n \"fx_pairs\"\n ],\n \"market_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"descriptors\": [\n {\n \"value\": {\n \"fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": \"key\"\n },\n {\n \"value\": {\n \"fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": \"key\"\n }\n ],\n \"fx_pairs\": [\n \"fx_pairs\",\n \"fx_pairs\"\n ],\n \"market_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"fx_crosses": [
{
"domestic_discount_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"is_quoted_fx_cross": true,
"fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"roll_fixing": 2.027123023002322,
"fx_pair": "fx_pair",
"spot": 7.386281948385884,
"foreign_discount_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"high_fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"low_fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"settlement": {
"foreign_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"settlement_lag": 4,
"domestic_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"usd_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"is_special_lat_am_cross": true
}
},
{
"domestic_discount_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"is_quoted_fx_cross": true,
"fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"roll_fixing": 2.027123023002322,
"fx_pair": "fx_pair",
"spot": 7.386281948385884,
"foreign_discount_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"high_fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"low_fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"settlement": {
"foreign_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"settlement_lag": 4,
"domestic_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"usd_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"is_special_lat_am_cross": true
}
}
]
}Get fx cross
POST
/
api
/
MarketData
/
GetFxCrosses
Get fx cross
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"descriptors": [
{
"value": {
"fixing_end_date": "2000-01-23T04:56:07.000+00:00",
"fixing_start_date": "2000-01-23T04:56:07.000+00:00",
"high_low_fixing_start_date": "2000-01-23T04:56:07.000+00:00",
"high_low_fixing_end_date": "2000-01-23T04:56:07.000+00:00"
},
"key": "key"
},
{
"value": {
"fixing_end_date": "2000-01-23T04:56:07.000+00:00",
"fixing_start_date": "2000-01-23T04:56:07.000+00:00",
"high_low_fixing_start_date": "2000-01-23T04:56:07.000+00:00",
"high_low_fixing_end_date": "2000-01-23T04:56:07.000+00:00"
},
"key": "key"
}
],
"fx_pairs": [
"fx_pairs",
"fx_pairs"
],
"market_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses"
payload = {
"descriptors": [
{
"value": {
"fixing_end_date": "2000-01-23T04:56:07.000+00:00",
"fixing_start_date": "2000-01-23T04:56:07.000+00:00",
"high_low_fixing_start_date": "2000-01-23T04:56:07.000+00:00",
"high_low_fixing_end_date": "2000-01-23T04:56:07.000+00:00"
},
"key": "key"
},
{
"value": {
"fixing_end_date": "2000-01-23T04:56:07.000+00:00",
"fixing_start_date": "2000-01-23T04:56:07.000+00:00",
"high_low_fixing_start_date": "2000-01-23T04:56:07.000+00:00",
"high_low_fixing_end_date": "2000-01-23T04:56:07.000+00:00"
},
"key": "key"
}
],
"fx_pairs": ["fx_pairs", "fx_pairs"],
"market_dates": ["2000-01-23T04:56:07.000+00:00", "2000-01-23T04:56:07.000+00:00"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
descriptors: [
{
value: {
fixing_end_date: '2000-01-23T04:56:07.000+00:00',
fixing_start_date: '2000-01-23T04:56:07.000+00:00',
high_low_fixing_start_date: '2000-01-23T04:56:07.000+00:00',
high_low_fixing_end_date: '2000-01-23T04:56:07.000+00:00'
},
key: 'key'
},
{
value: {
fixing_end_date: '2000-01-23T04:56:07.000+00:00',
fixing_start_date: '2000-01-23T04:56:07.000+00:00',
high_low_fixing_start_date: '2000-01-23T04:56:07.000+00:00',
high_low_fixing_end_date: '2000-01-23T04:56:07.000+00:00'
},
key: 'key'
}
],
fx_pairs: ['fx_pairs', 'fx_pairs'],
market_dates: ['2000-01-23T04:56:07.000+00:00', '2000-01-23T04:56:07.000+00:00']
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'descriptors' => [
[
'value' => [
'fixing_end_date' => '2000-01-23T04:56:07.000+00:00',
'fixing_start_date' => '2000-01-23T04:56:07.000+00:00',
'high_low_fixing_start_date' => '2000-01-23T04:56:07.000+00:00',
'high_low_fixing_end_date' => '2000-01-23T04:56:07.000+00:00'
],
'key' => 'key'
],
[
'value' => [
'fixing_end_date' => '2000-01-23T04:56:07.000+00:00',
'fixing_start_date' => '2000-01-23T04:56:07.000+00:00',
'high_low_fixing_start_date' => '2000-01-23T04:56:07.000+00:00',
'high_low_fixing_end_date' => '2000-01-23T04:56:07.000+00:00'
],
'key' => 'key'
]
],
'fx_pairs' => [
'fx_pairs',
'fx_pairs'
],
'market_dates' => [
'2000-01-23T04:56:07.000+00:00',
'2000-01-23T04:56:07.000+00:00'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses"
payload := strings.NewReader("{\n \"descriptors\": [\n {\n \"value\": {\n \"fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": \"key\"\n },\n {\n \"value\": {\n \"fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": \"key\"\n }\n ],\n \"fx_pairs\": [\n \"fx_pairs\",\n \"fx_pairs\"\n ],\n \"market_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"descriptors\": [\n {\n \"value\": {\n \"fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": \"key\"\n },\n {\n \"value\": {\n \"fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": \"key\"\n }\n ],\n \"fx_pairs\": [\n \"fx_pairs\",\n \"fx_pairs\"\n ],\n \"market_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"descriptors\": [\n {\n \"value\": {\n \"fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": \"key\"\n },\n {\n \"value\": {\n \"fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"high_low_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": \"key\"\n }\n ],\n \"fx_pairs\": [\n \"fx_pairs\",\n \"fx_pairs\"\n ],\n \"market_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"fx_crosses": [
{
"domestic_discount_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"is_quoted_fx_cross": true,
"fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"roll_fixing": 2.027123023002322,
"fx_pair": "fx_pair",
"spot": 7.386281948385884,
"foreign_discount_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"high_fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"low_fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"settlement": {
"foreign_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"settlement_lag": 4,
"domestic_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"usd_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"is_special_lat_am_cross": true
}
},
{
"domestic_discount_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"is_quoted_fx_cross": true,
"fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"roll_fixing": 2.027123023002322,
"fx_pair": "fx_pair",
"spot": 7.386281948385884,
"foreign_discount_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"high_fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"low_fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"settlement": {
"foreign_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"settlement_lag": 4,
"domestic_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"usd_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"is_special_lat_am_cross": true
}
}
]
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Was this page helpful?